org.keycloak.representations.idm.authorization

## Class GroupPolicyRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.authorization.AbstractPolicyRepresentation
  - - org.keycloak.representations.idm.authorization.GroupPolicyRepresentation

-     public class GroupPolicyRepresentation
      extends AbstractPolicyRepresentation

  Author:
    Pedro Igor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroupPolicyRepresentation.GroupDefinition`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupPolicyRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGroup(String... ids)`
    `void` | `addGroup(String id, boolean extendChildren)`
    `void` | `addGroupPath(String... paths)`
    `void` | `addGroupPath(String path, boolean extendChildren)`
    `Set<GroupPolicyRepresentation.GroupDefinition>` | `getGroups()`
    `String` | `getGroupsClaim()`
    `String` | `getType()`
    `void` | `removeGroup(String... ids)`
    `void` | `setGroups(Set<GroupPolicyRepresentation.GroupDefinition> groups)`
    `void` | `setGroupsClaim(String groupsClaim)`

    - ### Methods inherited from class org.keycloak.representations.idm.authorization.AbstractPolicyRepresentation

      `addPolicy, addResource, addScope, equals, getDecisionStrategy, getDescription, getId, getLogic, getName, getOwner, getPolicies, getResources, getResourcesData, getScopes, getScopesData, hashCode, removePolicy, removeScope, setDecisionStrategy, setDescription, setId, setLogic, setName, setOwner, setPolicies, setResources, setResourcesData, setScopes, setScopesData, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupPolicyRepresentation

          public GroupPolicyRepresentation()

  - ### Method Detail

    - #### getType

          public String getType()

      Overrides:
        `getType` in class `AbstractPolicyRepresentation`

    - #### getGroupsClaim

          public String getGroupsClaim()

    - #### setGroupsClaim

          public void setGroupsClaim(String groupsClaim)

    - #### getGroups

          public Set<GroupPolicyRepresentation.GroupDefinition> getGroups()

    - #### setGroups

          public void setGroups(Set<GroupPolicyRepresentation.GroupDefinition> groups)

    - #### addGroup

          public void addGroup(String... ids)

    - #### addGroup

          public void addGroup(String id,
                               boolean extendChildren)

    - #### addGroupPath

          public void addGroupPath(String... paths)

    - #### addGroupPath

          public void addGroupPath(String path,
                                   boolean extendChildren)

    - #### removeGroup

          public void removeGroup(String... ids)

Copyright © 2020 JBoss by Red Hat. All rights reserved.